/*
 * Internal module API header file.
 *
 * Generated by SIP 6.10.0
 *
 * Copyright (c) 2024 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-NetworkAuth.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAuthAPI_H
#define _QtNetworkAuthAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_TIMELINE_QtNetworkAuth_6_8_0
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_8_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QOAuth2AuthorizationCodeFlow__PkceMethod 0
#define sipName_QOAuth2AuthorizationCodeFlow__PkceMethod &sipStrings_QtNetworkAuth[0]
#define sipNameNr_QOAuth1Signature__HttpRequestMethod 41
#define sipName_QOAuth1Signature__HttpRequestMethod &sipStrings_QtNetworkAuth[41]
#define sipNameNr_clientIdentifierSharedKeyChanged 77
#define sipName_clientIdentifierSharedKeyChanged &sipStrings_QtNetworkAuth[77]
#define sipNameNr_RequestingTemporaryCredentials 110
#define sipName_RequestingTemporaryCredentials &sipStrings_QtNetworkAuth[110]
#define sipNameNr_temporaryCredentialsUrlChanged 141
#define sipName_temporaryCredentialsUrlChanged &sipStrings_QtNetworkAuth[141]
#define sipNameNr_OAuthTokenSecretNotFoundError 172
#define sipName_OAuthTokenSecretNotFoundError &sipStrings_QtNetworkAuth[172]
#define sipNameNr_authorizationCallbackReceived 202
#define sipName_authorizationCallbackReceived &sipStrings_QtNetworkAuth[202]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION_STR 232
#define sipName_PYQT_NETWORKAUTH_VERSION_STR &sipStrings_QtNetworkAuth[232]
#define sipNameNr_QOAuth2AuthorizationCodeFlow 261
#define sipName_QOAuth2AuthorizationCodeFlow &sipStrings_QtNetworkAuth[261]
#define sipNameNr_QOAuthHttpServerReplyHandler 290
#define sipName_QOAuthHttpServerReplyHandler &sipStrings_QtNetworkAuth[290]
#define sipNameNr_TemporaryCredentialsReceived 319
#define sipName_TemporaryCredentialsReceived &sipStrings_QtNetworkAuth[319]
#define sipNameNr_setClientIdentifierSharedKey 348
#define sipName_setClientIdentifierSharedKey &sipStrings_QtNetworkAuth[348]
#define sipNameNr_QAbstractOAuth__ContentType 377
#define sipName_QAbstractOAuth__ContentType &sipStrings_QtNetworkAuth[377]
#define sipNameNr_405 405
#define sipName_405 &sipStrings_QtNetworkAuth[405]
#define sipNameNr_QOAuthUriSchemeReplyHandler 433
#define sipName_QOAuthUriSchemeReplyHandler &sipStrings_QtNetworkAuth[433]
#define sipNameNr_generateAuthorizationHeader 461
#define sipName_generateAuthorizationHeader &sipStrings_QtNetworkAuth[461]
#define sipNameNr_requestTemporaryCredentials 489
#define sipName_requestTemporaryCredentials &sipStrings_QtNetworkAuth[489]
#define sipNameNr_setModifyParametersFunction 517
#define sipName_setModifyParametersFunction &sipStrings_QtNetworkAuth[517]
#define sipNameNr_QAbstractOAuthReplyHandler 545
#define sipName_QAbstractOAuthReplyHandler &sipStrings_QtNetworkAuth[545]
#define sipNameNr_resourceOwnerAuthorization 572
#define sipName_resourceOwnerAuthorization &sipStrings_QtNetworkAuth[572]
#define sipNameNr_setTemporaryCredentialsUrl 599
#define sipName_setTemporaryCredentialsUrl &sipStrings_QtNetworkAuth[599]
#define sipNameNr_626 626
#define sipName_626 &sipStrings_QtNetworkAuth[626]
#define sipNameNr_tokenCredentialsUrlChanged 653
#define sipName_tokenCredentialsUrlChanged &sipStrings_QtNetworkAuth[653]
#define sipNameNr_clientIdentifierSharedKey 680
#define sipName_clientIdentifierSharedKey &sipStrings_QtNetworkAuth[680]
#define sipNameNr_clientSharedSecretChanged 706
#define sipName_clientSharedSecretChanged &sipStrings_QtNetworkAuth[706]
#define sipNameNr_continueGrantWithVerifier 732
#define sipName_continueGrantWithVerifier &sipStrings_QtNetworkAuth[732]
#define sipNameNr_tokenRequestErrorOccurred 758
#define sipName_tokenRequestErrorOccurred &sipStrings_QtNetworkAuth[758]
#define sipNameNr_OAuthCallbackNotVerified 784
#define sipName_OAuthCallbackNotVerified &sipStrings_QtNetworkAuth[784]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION 809
#define sipName_PYQT_NETWORKAUTH_VERSION &sipStrings_QtNetworkAuth[809]
#define sipNameNr_QOAuth1__SignatureMethod 834
#define sipName_QOAuth1__SignatureMethod &sipStrings_QtNetworkAuth[834]
#define sipNameNr_modifyParametersFunction 859
#define sipName_modifyParametersFunction &sipStrings_QtNetworkAuth[859]
#define sipNameNr_OAuthTokenNotFoundError 884
#define sipName_OAuthTokenNotFoundError &sipStrings_QtNetworkAuth[884]
#define sipNameNr_PyQt6_sip_simplewrapper 908
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetworkAuth[908]
#define sipNameNr_RequestingAuthorization 932
#define sipName_RequestingAuthorization &sipStrings_QtNetworkAuth[932]
#define sipNameNr_authorizationUrlChanged 956
#define sipName_authorizationUrlChanged &sipStrings_QtNetworkAuth[956]
#define sipNameNr_clientIdentifierChanged 980
#define sipName_clientIdentifierChanged &sipStrings_QtNetworkAuth[980]
#define sipNameNr_requestTokenCredentials 1004
#define sipName_requestTokenCredentials &sipStrings_QtNetworkAuth[1004]
#define sipNameNr_setNetworkAccessManager 1028
#define sipName_setNetworkAccessManager &sipStrings_QtNetworkAuth[1028]
#define sipNameNr_sslConfigurationChanged 1052
#define sipName_sslConfigurationChanged &sipStrings_QtNetworkAuth[1052]
#define sipNameNr_temporaryCredentialsUrl 1076
#define sipName_temporaryCredentialsUrl &sipStrings_QtNetworkAuth[1076]
#define sipNameNr_QAbstractOAuth__Status 1100
#define sipName_QAbstractOAuth__Status &sipStrings_QtNetworkAuth[1100]
#define sipNameNr_createAuthenticatedUrl 1123
#define sipName_createAuthenticatedUrl &sipStrings_QtNetworkAuth[1123]
#define sipNameNr_setTokenCredentialsUrl 1146
#define sipName_setTokenCredentialsUrl &sipStrings_QtNetworkAuth[1146]
#define sipNameNr_signatureMethodChanged 1169
#define sipName_signatureMethodChanged &sipStrings_QtNetworkAuth[1169]
#define sipNameNr_QAbstractOAuth__Error 1192
#define sipName_QAbstractOAuth__Error &sipStrings_QtNetworkAuth[1192]
#define sipNameNr_QAbstractOAuth__Stage 1214
#define sipName_QAbstractOAuth__Stage &sipStrings_QtNetworkAuth[1214]
#define sipNameNr_QOAuthOobReplyHandler 1236
#define sipName_QOAuthOobReplyHandler &sipStrings_QtNetworkAuth[1236]
#define sipNameNr_RefreshingAccessToken 1258
#define sipName_RefreshingAccessToken &sipStrings_QtNetworkAuth[1258]
#define sipNameNr_RequestingAccessToken 1280
#define sipName_RequestingAccessToken &sipStrings_QtNetworkAuth[1280]
#define sipNameNr_accessTokenUrlChanged 1302
#define sipName_accessTokenUrlChanged &sipStrings_QtNetworkAuth[1302]
#define sipNameNr_setClientSharedSecret 1324
#define sipName_setClientSharedSecret &sipStrings_QtNetworkAuth[1324]
#define sipNameNr_setCustomMethodString 1346
#define sipName_setCustomMethodString &sipStrings_QtNetworkAuth[1346]
#define sipNameNr_authorizeWithBrowser 1368
#define sipName_authorizeWithBrowser &sipStrings_QtNetworkAuth[1368]
#define sipNameNr_buildAuthenticateUrl 1389
#define sipName_buildAuthenticateUrl &sipStrings_QtNetworkAuth[1389]
#define sipNameNr_callbackDataReceived 1410
#define sipName_callbackDataReceived &sipStrings_QtNetworkAuth[1410]
#define sipNameNr_generateRandomString 1431
#define sipName_generateRandomString &sipStrings_QtNetworkAuth[1431]
#define sipNameNr_networkAccessManager 1452
#define sipName_networkAccessManager &sipStrings_QtNetworkAuth[1452]
#define sipNameNr_networkReplyFinished 1473
#define sipName_networkReplyFinished &sipStrings_QtNetworkAuth[1473]
#define sipNameNr_setClientCredentials 1494
#define sipName_setClientCredentials &sipStrings_QtNetworkAuth[1494]
#define sipNameNr_setHttpRequestMethod 1515
#define sipName_setHttpRequestMethod &sipStrings_QtNetworkAuth[1515]
#define sipNameNr_PyQt6_QtNetworkAuth 1536
#define sipName_PyQt6_QtNetworkAuth &sipStrings_QtNetworkAuth[1536]
#define sipNameNr_expirationAtChanged 1556
#define sipName_expirationAtChanged &sipStrings_QtNetworkAuth[1556]
#define sipNameNr_refreshTokenChanged 1576
#define sipName_refreshTokenChanged &sipStrings_QtNetworkAuth[1576]
#define sipNameNr_responseTypeChanged 1596
#define sipName_responseTypeChanged &sipStrings_QtNetworkAuth[1596]
#define sipNameNr_setAuthorizationUrl 1616
#define sipName_setAuthorizationUrl &sipStrings_QtNetworkAuth[1616]
#define sipNameNr_setClientIdentifier 1636
#define sipName_setClientIdentifier &sipStrings_QtNetworkAuth[1636]
#define sipNameNr_setSslConfiguration 1656
#define sipName_setSslConfiguration &sipStrings_QtNetworkAuth[1656]
#define sipNameNr_setTokenCredentials 1676
#define sipName_setTokenCredentials &sipStrings_QtNetworkAuth[1676]
#define sipNameNr_tokenCredentialsUrl 1696
#define sipName_tokenCredentialsUrl &sipStrings_QtNetworkAuth[1696]
#define sipNameNr_clientSharedSecret 1716
#define sipName_clientSharedSecret &sipStrings_QtNetworkAuth[1716]
#define sipNameNr_contentTypeChanged 1735
#define sipName_contentTypeChanged &sipStrings_QtNetworkAuth[1735]
#define sipNameNr_customMethodString 1754
#define sipName_customMethodString &sipStrings_QtNetworkAuth[1754]
#define sipNameNr_extraTokensChanged 1773
#define sipName_extraTokensChanged &sipStrings_QtNetworkAuth[1773]
#define sipNameNr_redirectUrlChanged 1792
#define sipName_redirectUrlChanged &sipStrings_QtNetworkAuth[1792]
#define sipNameNr_refreshAccessToken 1811
#define sipName_refreshAccessToken &sipStrings_QtNetworkAuth[1811]
#define sipNameNr_requestAccessToken 1830
#define sipName_requestAccessToken &sipStrings_QtNetworkAuth[1830]
#define sipNameNr_setClientSharedKey 1849
#define sipName_setClientSharedKey &sipStrings_QtNetworkAuth[1849]
#define sipNameNr_setSignatureMethod 1868
#define sipName_setSignatureMethod &sipStrings_QtNetworkAuth[1868]
#define sipNameNr_tokenSecretChanged 1887
#define sipName_tokenSecretChanged &sipStrings_QtNetworkAuth[1887]
#define sipNameNr_HttpRequestMethod 59
#define sipName_HttpRequestMethod &sipStrings_QtNetworkAuth[59]
#define sipNameNr_WwwFormUrlEncoded 1906
#define sipName_WwwFormUrlEncoded &sipStrings_QtNetworkAuth[1906]
#define sipNameNr_clientCredentials 1924
#define sipName_clientCredentials &sipStrings_QtNetworkAuth[1924]
#define sipNameNr_httpRequestMethod 1942
#define sipName_httpRequestMethod &sipStrings_QtNetworkAuth[1942]
#define sipNameNr_replyDataReceived 1960
#define sipName_replyDataReceived &sipStrings_QtNetworkAuth[1960]
#define sipNameNr_setAccessTokenUrl 1978
#define sipName_setAccessTokenUrl &sipStrings_QtNetworkAuth[1978]
#define sipNameNr_NotAuthenticated 1996
#define sipName_NotAuthenticated &sipStrings_QtNetworkAuth[1996]
#define sipNameNr_QOAuth1Signature 2013
#define sipName_QOAuth1Signature &sipStrings_QtNetworkAuth[2013]
#define sipNameNr_authorizationUrl 2030
#define sipName_authorizationUrl &sipStrings_QtNetworkAuth[2030]
#define sipNameNr_callbackReceived 2047
#define sipName_callbackReceived &sipStrings_QtNetworkAuth[2047]
#define sipNameNr_clientIdentifier 2064
#define sipName_clientIdentifier &sipStrings_QtNetworkAuth[2064]
#define sipNameNr_disconnectNotify 2081
#define sipName_disconnectNotify &sipStrings_QtNetworkAuth[2081]
#define sipNameNr_sslConfiguration 2098
#define sipName_sslConfiguration &sipStrings_QtNetworkAuth[2098]
#define sipNameNr_tokenCredentials 2115
#define sipName_tokenCredentials &sipStrings_QtNetworkAuth[2115]
#define sipNameNr_userAgentChanged 2132
#define sipName_userAgentChanged &sipStrings_QtNetworkAuth[2132]
#define sipNameNr_QAbstractOAuth2 2149
#define sipName_QAbstractOAuth2 &sipStrings_QtNetworkAuth[2149]
#define sipNameNr_RefreshingToken 2165
#define sipName_RefreshingToken &sipStrings_QtNetworkAuth[2165]
#define sipNameNr_SignatureMethod 843
#define sipName_SignatureMethod &sipStrings_QtNetworkAuth[843]
#define sipNameNr_clientSharedKey 2181
#define sipName_clientSharedKey &sipStrings_QtNetworkAuth[2181]
#define sipNameNr_setCallbackPath 2197
#define sipName_setCallbackPath &sipStrings_QtNetworkAuth[2197]
#define sipNameNr_setCallbackText 2213
#define sipName_setCallbackText &sipStrings_QtNetworkAuth[2213]
#define sipNameNr_setRefreshToken 2229
#define sipName_setRefreshToken &sipStrings_QtNetworkAuth[2229]
#define sipNameNr_setReplyHandler 2245
#define sipName_setReplyHandler &sipStrings_QtNetworkAuth[2245]
#define sipNameNr_setResponseType 2261
#define sipName_setResponseType &sipStrings_QtNetworkAuth[2261]
#define sipNameNr_signatureMethod 2277
#define sipName_signatureMethod &sipStrings_QtNetworkAuth[2277]
#define sipNameNr_QAbstractOAuth 2293
#define sipName_QAbstractOAuth &sipStrings_QtNetworkAuth[2293]
#define sipNameNr_accessTokenUrl 2308
#define sipName_accessTokenUrl &sipStrings_QtNetworkAuth[2308]
#define sipNameNr_addRequestBody 2323
#define sipName_addRequestBody &sipStrings_QtNetworkAuth[2323]
#define sipNameNr_deleteResource 2338
#define sipName_deleteResource &sipStrings_QtNetworkAuth[2338]
#define sipNameNr_prepareRequest 2353
#define sipName_prepareRequest &sipStrings_QtNetworkAuth[2353]
#define sipNameNr_setContentType 2368
#define sipName_setContentType &sipStrings_QtNetworkAuth[2368]
#define sipNameNr_setRedirectUrl 2383
#define sipName_setRedirectUrl &sipStrings_QtNetworkAuth[2383]
#define sipNameNr_setTokenSecret 2398
#define sipName_setTokenSecret &sipStrings_QtNetworkAuth[2398]
#define sipNameNr_tokensReceived 2413
#define sipName_tokensReceived &sipStrings_QtNetworkAuth[2413]
#define sipNameNr_connectNotify 2084
#define sipName_connectNotify &sipStrings_QtNetworkAuth[2084]
#define sipNameNr_requestFailed 2428
#define sipName_requestFailed &sipStrings_QtNetworkAuth[2428]
#define sipNameNr_setParameters 2442
#define sipName_setParameters &sipStrings_QtNetworkAuth[2442]
#define sipNameNr_setPkceMethod 2456
#define sipName_setPkceMethod &sipStrings_QtNetworkAuth[2456]
#define sipNameNr_statusChanged 2470
#define sipName_statusChanged &sipStrings_QtNetworkAuth[2470]
#define sipNameNr_NetworkError 2484
#define sipName_NetworkError &sipStrings_QtNetworkAuth[2484]
#define sipNameNr_callbackPath 2497
#define sipName_callbackPath &sipStrings_QtNetworkAuth[2497]
#define sipNameNr_callbackText 2510
#define sipName_callbackText &sipStrings_QtNetworkAuth[2510]
#define sipNameNr_defaultValue 2523
#define sipName_defaultValue &sipStrings_QtNetworkAuth[2523]
#define sipNameNr_expirationAt 2536
#define sipName_expirationAt &sipStrings_QtNetworkAuth[2536]
#define sipNameNr_refreshToken 2549
#define sipName_refreshToken &sipStrings_QtNetworkAuth[2549]
#define sipNameNr_replyHandler 2562
#define sipName_replyHandler &sipStrings_QtNetworkAuth[2562]
#define sipNameNr_responseType 2575
#define sipName_responseType &sipStrings_QtNetworkAuth[2575]
#define sipNameNr_scopeChanged 2588
#define sipName_scopeChanged &sipStrings_QtNetworkAuth[2588]
#define sipNameNr_setUserAgent 2601
#define sipName_setUserAgent &sipStrings_QtNetworkAuth[2601]
#define sipNameNr_stateChanged 2614
#define sipName_stateChanged &sipStrings_QtNetworkAuth[2614]
#define sipNameNr_tokenChanged 2627
#define sipName_tokenChanged &sipStrings_QtNetworkAuth[2627]
#define sipNameNr_ContentType 393
#define sipName_ContentType &sipStrings_QtNetworkAuth[393]
#define sipNameNr_ServerError 2640
#define sipName_ServerError &sipStrings_QtNetworkAuth[2640]
#define sipNameNr_contentType 2652
#define sipName_contentType &sipStrings_QtNetworkAuth[2652]
#define sipNameNr_customEvent 2664
#define sipName_customEvent &sipStrings_QtNetworkAuth[2664]
#define sipNameNr_eventFilter 2676
#define sipName_eventFilter &sipStrings_QtNetworkAuth[2676]
#define sipNameNr_extraTokens 2688
#define sipName_extraTokens &sipStrings_QtNetworkAuth[2688]
#define sipNameNr_isListening 2700
#define sipName_isListening &sipStrings_QtNetworkAuth[2700]
#define sipNameNr_redirectUrl 2712
#define sipName_redirectUrl &sipStrings_QtNetworkAuth[2712]
#define sipNameNr_tokenSecret 2724
#define sipName_tokenSecret &sipStrings_QtNetworkAuth[2724]
#define sipNameNr_PkceMethod 30
#define sipName_PkceMethod &sipStrings_QtNetworkAuth[30]
#define sipNameNr_childEvent 2736
#define sipName_childEvent &sipStrings_QtNetworkAuth[2736]
#define sipNameNr_parameters 2747
#define sipName_parameters &sipStrings_QtNetworkAuth[2747]
#define sipNameNr_pkceMethod 2758
#define sipName_pkceMethod &sipStrings_QtNetworkAuth[2758]
#define sipNameNr_timerEvent 2769
#define sipName_timerEvent &sipStrings_QtNetworkAuth[2769]
#define sipNameNr_Hmac_Sha1 2780
#define sipName_Hmac_Sha1 &sipStrings_QtNetworkAuth[2780]
#define sipNameNr_PlainText 2790
#define sipName_PlainText &sipStrings_QtNetworkAuth[2790]
#define sipNameNr_plainText 2800
#define sipName_plainText &sipStrings_QtNetworkAuth[2800]
#define sipNameNr_setStatus 2810
#define sipName_setStatus &sipStrings_QtNetworkAuth[2810]
#define sipNameNr_userAgent 2820
#define sipName_userAgent &sipStrings_QtNetworkAuth[2820]
#define sipNameNr_Rsa_Sha1 2830
#define sipName_Rsa_Sha1 &sipStrings_QtNetworkAuth[2830]
#define sipNameNr_callback 2839
#define sipName_callback &sipStrings_QtNetworkAuth[2839]
#define sipNameNr_finished 2848
#define sipName_finished &sipStrings_QtNetworkAuth[2848]
#define sipNameNr_hmacSha1 2857
#define sipName_hmacSha1 &sipStrings_QtNetworkAuth[2857]
#define sipNameNr_setScope 2866
#define sipName_setScope &sipStrings_QtNetworkAuth[2866]
#define sipNameNr_setState 2875
#define sipName_setState &sipStrings_QtNetworkAuth[2875]
#define sipNameNr_setToken 2884
#define sipName_setToken &sipStrings_QtNetworkAuth[2884]
#define sipNameNr_Granted 2893
#define sipName_Granted &sipStrings_QtNetworkAuth[2893]
#define sipNameNr_NoError 2901
#define sipName_NoError &sipStrings_QtNetworkAuth[2901]
#define sipNameNr_QOAuth1 2909
#define sipName_QOAuth1 &sipStrings_QtNetworkAuth[2909]
#define sipNameNr_Unknown 2917
#define sipName_Unknown &sipStrings_QtNetworkAuth[2917]
#define sipNameNr_address 2925
#define sipName_address &sipStrings_QtNetworkAuth[2925]
#define sipNameNr_granted 2933
#define sipName_granted &sipStrings_QtNetworkAuth[2933]
#define sipNameNr_rsaSha1 2941
#define sipName_rsaSha1 &sipStrings_QtNetworkAuth[2941]
#define sipNameNr_Custom 2949
#define sipName_Custom &sipStrings_QtNetworkAuth[2949]
#define sipNameNr_Delete 2956
#define sipName_Delete &sipStrings_QtNetworkAuth[2956]
#define sipNameNr_Status 1116
#define sipName_Status &sipStrings_QtNetworkAuth[1116]
#define sipNameNr_insert 2963
#define sipName_insert &sipStrings_QtNetworkAuth[2963]
#define sipNameNr_length 2970
#define sipName_length &sipStrings_QtNetworkAuth[2970]
#define sipNameNr_listen 2977
#define sipName_listen &sipStrings_QtNetworkAuth[2977]
#define sipNameNr_method 2984
#define sipName_method &sipStrings_QtNetworkAuth[2984]
#define sipNameNr_parent 2991
#define sipName_parent &sipStrings_QtNetworkAuth[2991]
#define sipNameNr_setUrl 2998
#define sipName_setUrl &sipStrings_QtNetworkAuth[2998]
#define sipNameNr_status 3005
#define sipName_status &sipStrings_QtNetworkAuth[3005]
#define sipNameNr_Error 196
#define sipName_Error &sipStrings_QtNetworkAuth[196]
#define sipNameNr_None_ 3012
#define sipName_None_ &sipStrings_QtNetworkAuth[3012]
#define sipNameNr_Plain 3018
#define sipName_Plain &sipStrings_QtNetworkAuth[3018]
#define sipNameNr_Stage 1230
#define sipName_Stage &sipStrings_QtNetworkAuth[1230]
#define sipNameNr_close 3024
#define sipName_close &sipStrings_QtNetworkAuth[3024]
#define sipNameNr_error 3030
#define sipName_error &sipStrings_QtNetworkAuth[3030]
#define sipNameNr_event 3036
#define sipName_event &sipStrings_QtNetworkAuth[3036]
#define sipNameNr_grant 3042
#define sipName_grant &sipStrings_QtNetworkAuth[3042]
#define sipNameNr_nonce 3048
#define sipName_nonce &sipStrings_QtNetworkAuth[3048]
#define sipNameNr_scope 3054
#define sipName_scope &sipStrings_QtNetworkAuth[3054]
#define sipNameNr_setup 3060
#define sipName_setup &sipStrings_QtNetworkAuth[3060]
#define sipNameNr_state 3066
#define sipName_state &sipStrings_QtNetworkAuth[3066]
#define sipNameNr_token 3072
#define sipName_token &sipStrings_QtNetworkAuth[3072]
#define sipNameNr_value 3078
#define sipName_value &sipStrings_QtNetworkAuth[3078]
#define sipNameNr_Head 3084
#define sipName_Head &sipStrings_QtNetworkAuth[3084]
#define sipNameNr_Json 3089
#define sipName_Json &sipStrings_QtNetworkAuth[3089]
#define sipNameNr_Post 3094
#define sipName_Post &sipStrings_QtNetworkAuth[3094]
#define sipNameNr_S256 3099
#define sipName_S256 &sipStrings_QtNetworkAuth[3099]
#define sipNameNr_body 3104
#define sipName_body &sipStrings_QtNetworkAuth[3104]
#define sipNameNr_head 3109
#define sipName_head &sipStrings_QtNetworkAuth[3109]
#define sipNameNr_keys 3114
#define sipName_keys &sipStrings_QtNetworkAuth[3114]
#define sipNameNr_port 3119
#define sipName_port &sipStrings_QtNetworkAuth[3119]
#define sipNameNr_post 3124
#define sipName_post &sipStrings_QtNetworkAuth[3124]
#define sipNameNr_swap 3129
#define sipName_swap &sipStrings_QtNetworkAuth[3129]
#define sipNameNr_take 3134
#define sipName_take &sipStrings_QtNetworkAuth[3134]
#define sipNameNr_Get 3139
#define sipName_Get &sipStrings_QtNetworkAuth[3139]
#define sipNameNr_Put 3143
#define sipName_Put &sipStrings_QtNetworkAuth[3143]
#define sipNameNr_get 3147
#define sipName_get &sipStrings_QtNetworkAuth[3147]
#define sipNameNr_put 3151
#define sipName_put &sipStrings_QtNetworkAuth[3151]
#define sipNameNr_url 3155
#define sipName_url &sipStrings_QtNetworkAuth[3155]

#define sipMalloc                   sipAPI_QtNetworkAuth->api_malloc
#define sipFree                     sipAPI_QtNetworkAuth->api_free
#define sipBuildResult              sipAPI_QtNetworkAuth->api_build_result
#define sipCallMethod               sipAPI_QtNetworkAuth->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetworkAuth->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetworkAuth->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetworkAuth->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetworkAuth->api_parse_result
#define sipParseArgs                sipAPI_QtNetworkAuth->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetworkAuth->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetworkAuth->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetworkAuth->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetworkAuth->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetworkAuth->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetworkAuth->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetworkAuth->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetworkAuth->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetworkAuth->api_add_exception
#define sipNoFunction               sipAPI_QtNetworkAuth->api_no_function
#define sipNoMethod                 sipAPI_QtNetworkAuth->api_no_method
#define sipAbstractMethod           sipAPI_QtNetworkAuth->api_abstract_method
#define sipBadClass                 sipAPI_QtNetworkAuth->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetworkAuth->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetworkAuth->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetworkAuth->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetworkAuth->api_trace
#define sipTransferBack             sipAPI_QtNetworkAuth->api_transfer_back
#define sipTransferTo               sipAPI_QtNetworkAuth->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetworkAuth->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetworkAuth->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetworkAuth->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetworkAuth->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetworkAuth->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetworkAuth->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetworkAuth->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetworkAuth->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetworkAuth->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetworkAuth->api_call_hook
#define sipEndThread                sipAPI_QtNetworkAuth->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetworkAuth->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetworkAuth->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetworkAuth->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetworkAuth->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetworkAuth->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetworkAuth->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetworkAuth->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetworkAuth->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetworkAuth->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetworkAuth->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetworkAuth->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetworkAuth->api_release_type
#define sipConvertFromType          sipAPI_QtNetworkAuth->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetworkAuth->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetworkAuth->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetworkAuth->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetworkAuth->api_get_state
#define sipExportSymbol             sipAPI_QtNetworkAuth->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetworkAuth->api_import_symbol
#define sipFindType                 sipAPI_QtNetworkAuth->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetworkAuth->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetworkAuth->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetworkAuth->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetworkAuth->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetworkAuth->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetworkAuth->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetworkAuth->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetworkAuth->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetworkAuth->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetworkAuth->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetworkAuth->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtNetworkAuth->api_get_reference
#define sipKeepReference            sipAPI_QtNetworkAuth->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetworkAuth->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetworkAuth->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetworkAuth->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetworkAuth->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetworkAuth->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetworkAuth->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetworkAuth->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetworkAuth->api_init_mixin
#define sipExportModule             sipAPI_QtNetworkAuth->api_export_module
#define sipInitModule               sipAPI_QtNetworkAuth->api_init_module
#define sipGetInterpreter           sipAPI_QtNetworkAuth->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetworkAuth->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetworkAuth->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetworkAuth->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetworkAuth->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetworkAuth->api_get_c_function
#define sipGetMethod                sipAPI_QtNetworkAuth->api_get_method
#define sipFromMethod               sipAPI_QtNetworkAuth->api_from_method
#define sipGetDate                  sipAPI_QtNetworkAuth->api_get_date
#define sipFromDate                 sipAPI_QtNetworkAuth->api_from_date
#define sipGetDateTime              sipAPI_QtNetworkAuth->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetworkAuth->api_from_datetime
#define sipGetTime                  sipAPI_QtNetworkAuth->api_get_time
#define sipFromTime                 sipAPI_QtNetworkAuth->api_from_time
#define sipIsUserType               sipAPI_QtNetworkAuth->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetworkAuth->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetworkAuth->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetworkAuth->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetworkAuth->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetworkAuth->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetworkAuth->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetworkAuth->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetworkAuth->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetworkAuth->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetworkAuth->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetworkAuth->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetworkAuth->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetworkAuth->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetworkAuth->api_enable_gc
#define sipPrintObject              sipAPI_QtNetworkAuth->api_print_object
#define sipLong_AsChar              sipAPI_QtNetworkAuth->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetworkAuth->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetworkAuth->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetworkAuth->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetworkAuth->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetworkAuth->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetworkAuth->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetworkAuth->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetworkAuth->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetworkAuth->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetworkAuth->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetworkAuth->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetworkAuth->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetworkAuth->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtNetworkAuth->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtNetworkAuth->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtNetworkAuth->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetworkAuth->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetworkAuth->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetworkAuth->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetworkAuth->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetworkAuth->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetworkAuth[];

#define sipType_QAbstractOAuth sipExportedTypes_QtNetworkAuth[0]

#define sipType_QAbstractOAuth_ContentType sipExportedTypes_QtNetworkAuth[2]

#define sipType_QAbstractOAuth_Error sipExportedTypes_QtNetworkAuth[3]

#define sipType_QAbstractOAuth_Stage sipExportedTypes_QtNetworkAuth[4]

#define sipType_QAbstractOAuth_Status sipExportedTypes_QtNetworkAuth[5]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth;

#define sipType_QAbstractOAuth2 sipExportedTypes_QtNetworkAuth[1]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth2;

#define sipType_QAbstractOAuthReplyHandler sipExportedTypes_QtNetworkAuth[6]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuthReplyHandler;

#define sipType_QOAuth1 sipExportedTypes_QtNetworkAuth[8]

#define sipType_QOAuth1_SignatureMethod sipExportedTypes_QtNetworkAuth[9]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1;

#define sipType_QOAuth1Signature sipExportedTypes_QtNetworkAuth[10]

#define sipType_QOAuth1Signature_HttpRequestMethod sipExportedTypes_QtNetworkAuth[11]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1Signature;

#define sipType_QOAuth2AuthorizationCodeFlow sipExportedTypes_QtNetworkAuth[12]

#define sipType_QOAuth2AuthorizationCodeFlow_PkceMethod sipExportedTypes_QtNetworkAuth[13]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth2AuthorizationCodeFlow;

#define sipType_QOAuthOobReplyHandler sipExportedTypes_QtNetworkAuth[15]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthOobReplyHandler;

#define sipType_QOAuthHttpServerReplyHandler sipExportedTypes_QtNetworkAuth[14]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthHttpServerReplyHandler;

#define sipType_QOAuthUriSchemeReplyHandler sipExportedTypes_QtNetworkAuth[16]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthUriSchemeReplyHandler;

#define sipType_std_pair_0100QString_0100QString sipExportedTypes_QtNetworkAuth[17]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_std_pair_0100QString_0100QString;

#define sipType_QMultiMap_0100QString_0100QVariant sipExportedTypes_QtNetworkAuth[7]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_QMultiMap_0100QString_0100QVariant;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetworkAuth;
extern sipExportedModuleDef sipModuleAPI_QtNetworkAuth;
extern sipTypeDef *sipExportedTypes_QtNetworkAuth[];

#define sipType_QObject sipImportedTypes_QtNetworkAuth_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtNetworkAuth_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNetworkAuth_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetworkAuth_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetworkAuth_QtCore[1].it_td

#define sipType_QDateTime sipImportedTypes_QtNetworkAuth_QtCore[2].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetworkAuth_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtNetworkAuth_QtCore[9].it_td

#define sipType_QUrlQuery sipImportedTypes_QtNetworkAuth_QtCore[10].it_td

#define sipType_QVariant sipImportedTypes_QtNetworkAuth_QtCore[11].it_td

#define sipType_QMap_0100QString_0100QVariant sipImportedTypes_QtNetworkAuth_QtCore[4].it_td

#define sipType_QString sipImportedTypes_QtNetworkAuth_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetworkAuth_QtCore[];

#define sipType_QHostAddress sipImportedTypes_QtNetworkAuth_QtNetwork[0].it_td

#define sipType_QHttpMultiPart sipImportedTypes_QtNetworkAuth_QtNetwork[1].it_td

#define sipType_QNetworkAccessManager sipImportedTypes_QtNetworkAuth_QtNetwork[3].it_td

#define sipType_QNetworkAccessManager_Operation sipImportedTypes_QtNetworkAuth_QtNetwork[4].it_td

#define sipType_QNetworkReply sipImportedTypes_QtNetworkAuth_QtNetwork[5].it_td

#define sipType_QNetworkRequest sipImportedTypes_QtNetworkAuth_QtNetwork[6].it_td

#define sipType_QSslConfiguration sipImportedTypes_QtNetworkAuth_QtNetwork[7].it_td

#define sipType_QList_0100QString sipImportedTypes_QtNetworkAuth_QtNetwork[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetworkAuth_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtNetworkAuth_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetworkAuth_qt_metacast;
#line 235 "/home/iurt/rpmbuild/BUILD/python-qt6-networkauth-6.8.0-build/PyQt6_NetworkAuth-6.8.0/sip/QtNetworkAuth/qabstractoauth.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtnetworkauth_err_print_t)();
extern pyqt6_qtnetworkauth_err_print_t pyqt6_qtnetworkauth_err_print;
#line 729 "/home/iurt/rpmbuild/BUILD/python-qt6-networkauth-6.8.0-build/PyQt6_NetworkAuth-6.8.0/build/QtNetworkAuth/sipAPIQtNetworkAuth.h"

#endif
